Subject: Re: What's cooking in git.git (Jan 2025, #08; Tue, 28)

From: Jeff King <[email-masked]>
Date: Fri, 31 Jan 2025 18:30:15 -0500

On Wed, Jan 29, 2025 at 08:57:36AM +0100, Patrick Steinhardt wrote:

> On Tue, Jan 28, 2025 at 04:18:00PM -0800, Junio C Hamano wrote:
> > * ps/ci-misc-updates (2025-01-10) 10 commits
> >  - ci: remove stale code for Azure Pipelines
> >  - ci: use latest Ubuntu release
> >  - ci: stop special-casing for Ubuntu 16.04
> >  - gitlab-ci: add linux32 job testing against i386
> >  - gitlab-ci: remove the "linux-old" job
> >  - github: simplify computation of the job's distro
> >  - github: convert all Linux jobs to be containerized
> >  - github: adapt containerized jobs to be rootless
> >  - t7422: fix flaky test caused by buffered stdout
> >  - t0060: fix EBUSY in MinGW when setting up runtime prefix
> > 
> >  CI updates (containerization, dropping stale ones, etc.).
> > 
> >  Will merge to 'master'.
> >  source: <[email-masked]>
> 
> I'm a bit confused about the state of this topic. You say it will be
> merged to 'master', but as far as I can see it's not even part of 'next'
> yet.

Looks like it did hit 'next' now. I think we need this on top:

-- >8 --
Subject: [PATCH] ci: set CI_JOB_IMAGE for coverity job

The main GitHub Actions workflow switched away from the "$distro"
variable in b133d3071a (github: simplify computation of the job's
distro, 2025-01-10). Since the Coverity job also depends on our
ci/install-dependencies.sh script, it needs to likewise set CI_JOB_IMAGE
to find the correct dependencies (without this patch, we don't install
curl and the build fails).

Signed-off-by: Jeff King <[email-masked]>
---
Grepping for "distro:" doesn't find any other instances.

 .github/workflows/coverity.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.github/workflows/coverity.yml b/.github/workflows/coverity.yml
index 48341e81f4..124301dbbe 100644
--- a/.github/workflows/coverity.yml
+++ b/.github/workflows/coverity.yml
@@ -45,7 +45,7 @@ jobs:
       - run: ci/install-dependencies.sh
         if: contains(matrix.os, 'ubuntu') || contains(matrix.os, 'macos')
         env:
-          distro: ${{ matrix.os }}
+          CI_JOB_IMAGE: ${{ matrix.os }}
 
       # The Coverity site says the tool is usually updated twice yearly, so the
       # MD5 of download can be used to determine whether there's been an update.
-- 
2.48.1.675.g52e87fcee5